BleachBit shows Errors trying to update

Bug #1957053 reported by Morales Klimop
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
bleachbit (Ubuntu)
Undecided
Unassigned

Bug Description

When enabling the update uption of BleachBit in 'Preferences'; (Check periodically for software updates via the internet)

BleachBit starts up with error,
See attachment

1> Ubuntu 20.04 LTS
/usr/bin/bleachbit

Installation method:
sudo apt install bleachbit

2> Version:
bleachbit:
  Installed: 3.9.0-1
  Candidate: 3.9.0-1
  Version table:
 *** 3.9.0-1 100
        100 /var/lib/dpkg/status

3> Look for updates

4> Displays errors (see attachment)

Revision history for this message
Morales Klimop (morales6969) wrote (last edit ):

Error when checking for updates:
Traceback (most recent call last):
  File "/usr/share/bleachbit/bleachbit/GUI.py", line 1160, in check_online_updates
    updates = Update.check_updates(options.get('check_beta'),
  File "/usr/share/bleachbit/bleachbit/Update.py", line 155, in check_updates
    opener.addheaders = [('User-Agent', user_agent())]
  File "/usr/share/bleachbit/bleachbit/Update.py", line 87, in user_agent
    dist = platform.dist()
AttributeError: module 'platform' has no attribute 'dist'

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Bug attachments